literate-perfunctory
Poker Software
Results 1 to 9 of 9
  1. #1
    Junior Member
    Join Date
    Apr 2015
    Posts
    23

    Default PostregSQL Issues

    My HM2 has suddenly stopped being open due to PostregSQL Issues. I have tried all the try items but no luck. Even looked to see how to upgrade that as I currently have 8.4 I believe. Went to their site and it isn't list, but shows 10.1 and 9x versions.

  2. #2
    HM2! udbrky's Avatar
    Join Date
    Jul 2008
    Posts
    18,663

    Default

    Did you recently update Windows 10? If so, you may need to re-install.

    It appears there might be an issue with PostgreSQL and reinstalling it should help resolve this.

    Make sure windows is fully updated until 'No New Important Updates are Found' (this may require multiple restarts and multiple 'check for updates'), including Internet Explorer (even if you use a different web browser). This is important because it will install critical updates that affect PostgreSQL and maybe related to the issues you are seeing.

    Please note that reinstalling PostgreSQL will mean losing all your old data. If you have access to HM2 and your database was not corrupt then please follow these instructions for backing up your database - Hold'Em Manager 2 FAQs - Poker Software :: How does Backup and Restore Database, Settings and HUD configs work?

    If you cannot access the database in HM2 then you can backup your database using this method: Hold'Em Manager 2 FAQs - Poker Software :: How does Backup or Restore via PostgreSQL work? (Advanced Method) but if your database was corrupt then the best solution is to reimport all your hands from C:/HM2archive folder or if your pokersite supports it you can request all your hands and summaries and reimport them as restoring a corrupt database will just restore all the problems you had.

    Once you have backed up your previous database(s) then follow the instructions below to uninstall and reinstall PostgreSQL.

    1) Uninstall PostgreSQL from the Windows Control Panel.

    2) Delete the \PostgreSQL\8.x\data folder that is left behind.

    3) Delete the sub-folder(s) in c:\users\username\appdata\roaming\HoldemManager\Da tabase (XP - c:\documents and settings\username\application data\HoldemManager\Database).

    4) Restart your PC

    5) Use our combo installer to reinstall PostgreSQL. Make sure you un-check Holdem Manager during installation. http://www.holdemmanager.com/downloa...er_2_Setup.exe

    Start HM2 again and create a New Database.


    You should consider using a newer version, since 8.4 is outdated.
    Regards udbrky (Chris)

  3. #3
    Junior Member
    Join Date
    Apr 2015
    Posts
    23

    Default

    Is there a way to update the Postgre version to the latest without losing or uninstalling and potentially losing the database? As well when I went to the site it asked which version I was using and 8.4 was not in the drop down options.

  4. #4
    Junior Member
    Join Date
    Apr 2015
    Posts
    23

    Default

    I tried the data base back up option and option 1 I can't do as I can't get into the program and option 2 Postgre came up with a message box not allowing to go to next step after entering the password.

  5. #5
    HM2! udbrky's Avatar
    Join Date
    Jul 2008
    Posts
    18,663

    Default

    This is usually a firewall or windows update issue and the following guide gives a step by step guide:
    Hold'Em Manager 2 FAQs - Poker Software :: Can not Connect / Failed to Start PostgreSQL

    If Postgres is corrupted by the new Windows update, you will need to reinstall and import from c:\hm2archive.
    Regards udbrky (Chris)

  6. #6
    Junior Member
    Join Date
    Apr 2015
    Posts
    23

    Default

    That is what I am going to do, but which version of PostgreSQL do I install? There is only version 9 and 10's to choose from.

  7. #7
    Graphics Guru fozzy71's Avatar
    Join Date
    Sep 1971
    Location
    HM Support
    Posts
    27,923

    Default

    Quote Originally Posted by princeyendor View Post
    That is what I am going to do, but which version of PostgreSQL do I install? There is only version 9 and 10's to choose from.

    We still recommend 9.3.x but any of them should be fine from what I have seen. I installed 10.1 a couple weeks ago for testing and have not had any issues yet.

  8. #8
    Junior Member
    Join Date
    Apr 2015
    Posts
    23

    Default

    Thank you for your help. I downloaded and installed version 10x and it works. I wasn't able to save the datable base though, but have the histories been sent to me so will recreate that. I did un-install the Postgre8x bUT it left some folders. Can I delete those as the version 10 was a clean install?

  9. #9
    HM2! udbrky's Avatar
    Join Date
    Jul 2008
    Posts
    18,663

    Default

    Yes, you can delete the folders.
    Regards udbrky (Chris)

Similar Threads

  1. Replies: 3
    Last Post: 11-17-2012, 05:14 AM
  2. HEM/HUD issues
    By ivey15 in forum Manager General
    Replies: 3
    Last Post: 10-13-2011, 09:00 PM
  3. Login Name to postregsql
    By error_fatsug in forum Manager General
    Replies: 3
    Last Post: 11-07-2009, 11:08 AM
  4. HUD issues
    By phatsuit in forum Manager General
    Replies: 1
    Last Post: 10-10-2009, 06:29 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •